LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
UniversalContentBroker Service Referencepublished

is a one-instance service that provides access to a set of Contents via ContentProviders. More...

`import"UniversalContentBroker.idl";`

Inheritance diagram for UniversalContentBroker:

## Public Member Functions
| create ()
| The (default) constructor. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XContentProvider
com::sun::star::ucb::XContent | queryContent ([in] com::sun::star::ucb::XContentIdentifier Identifier) raises ( com::sun::star::ucb::IllegalIdentifierException )
| creates a new XContent instance, if the given XContentIdentifier matches a content provided by the implementation of this interface. More...
long | compareContentIds ([in] com::sun::star::ucb::XContentIdentifier Id1, [in] com::sun::star::ucb::XContentIdentifier Id2)
| compares two XContentIdentifiers. More...
Public Member Functions inherited from XContentProviderManager
com::sun::star::ucb::XContentProvider | registerContentProvider ([in] com::sun::star::ucb::XContentProvider Provider, [in] string Scheme, [in] boolean ReplaceExisting) raises ( com::sun::star::ucb::DuplicateProviderException )
| registers a content provider for a specific URL template. More...
void | deregisterContentProvider ([in] com::sun::star::ucb::XContentProvider Provider, [in] string Scheme)
| deregisters a content provider. More...
sequence< com::sun::star::ucb::ContentProviderInfo > | queryContentProviders ()
| returns a list of information on all registered content providers. More...
com::sun::star::ucb::XContentProvider | queryContentProvider ([in] string Identifier)
| returns the currently active content provider for a content identifier. More...
Public Member Functions inherited from XContentIdentifierFactory
com::sun::star::ucb::XContentIdentifier | createContentIdentifier ([in] string ContentId)
| creates an identifier. More...
Public Member Functions inherited from XCommandProcessor2
void | releaseCommandIdentifier ([in] long CommandId)
| releases a command identifier obtained through XCommandProcessor::createCommandIdentifier() when it is no longer used. More...
Public Member Functions inherited from XCommandProcessor
long | createCommandIdentifier ()
| creates a unique identifier for a command. More...
any | execute ([in] Command aCommand, [in] long CommandId, [in] XCommandEnvironment Environment) raises ( com::sun::star::uno::Exception, CommandAbortedException )
| executes a command. More...
void | abort ([in] long CommandId)
| ends the command associated with the given id. More...

## Additional Inherited Members
Exported Interfaces inherited from XUniversalContentBroker
interface | com::sun::star::lang::XComponent
| must be implemented to make it possible to resolve cyclic object references. More...
interface | com::sun::star::ucb::XContentProvider
| provides access to all kind of contents provided by the registered content providers. More...
interface | com::sun::star::ucb::XContentProviderManager
| provides access to a set of content providers registered with the UCB. More...
interface | com::sun::star::ucb::XContentIdentifierFactory
| creates XContentIdentifier implementation objects for all kind of contents provided by the UCB. More...
interface | com::sun::star::ucb::XCommandProcessor2
| Enables the caller to execute commands at the broker. More...

## Detailed Description

is a one-instance service that provides access to a set of Contents via ContentProviders.

Traditionally, this service implements com::sun::star::lang::XInitialization and needed to be instantiated once with two arguments via com::sun::star::lang::XMultiComponentFactory::createInstanceWithArgumentsAndContext() for configuration before it could be obtained via plain com::sun::star::lang::XMultiComponentFactory::createInstanceWithContext().

However, the only pair of initialization arguments used in practice is `"Local"`/`"Office"`, so this service is simplified now to automatically configure itself with that argument pair upon first instantiation.

(For backwards compatibility, the service implementation still supports com::sun::star::lang::XInitialization and can still explicitly be initialized via com::sun::star::lang::XMultiComponentFactory::createInstanceWithArgumentsAndContext() with two arguments of type string. These strings are used as a pair of keys to retrieve a set of content provider descriptions from the configuration management (stored at `org.openoffice.ucb.Configuration.ContentProviders.key1.SecondaryKeys.key2.ProviderData` within the configuration management's hierarchy). The retrieved descriptions are in turn used to register the corresponding content provider services at the broker.)

Developers Guide
  UCB - Universal Content Broker - Capabilities
  UCB - Instantiating the UCB

## Member Function Documentation

## ◆ create()

create | ( |  | ) |

The (default) constructor.

(This default constructor is only mentioned explicitly for technical reasons, so that its implementation calls the service implementation's com::sun::star::lang::XInitialization::initialize().)

The documentation for this service was generated from the following file:

- com/sun/star/ucb/UniversalContentBroker.idl